Subject: Re: Two queries on calculating AS external routes

From: Paresh Khatri <[email-masked]>
Date: Wed, 6 Jul 2005 09:43:21 +1000

Hi Acee,

Just been going through RFC3101 section 2.5.  The tie-breaker rules seem 
to apply if the LSAs being compared are functionally equivalent (including
the same non-zero forwarding address). In my case below, what if the two 
LSAs are not quite functoinally equivalent i.e what if the LSAs have the same 
destination, same cost etc but have different non-zero forwarding addresses ?
What happens then ?  Do the same tie-breaker rules apply or will it be 
implementation-dependent ?

Thanks,
Paresh.

-----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Paresh
Khatri
Sent: Wednesday, 29 June 2005 08:42 AM
To: [email-masked]
Subject: Re: Two queries on calculating AS external routes

Thanks Acee,

I guess that's the bit I was missing.

Regards,
Paresh.

-----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Acee
Lindem
Sent: Tuesday, 28 June 2005 11:59 PM
To: [email-masked]
Subject: Re: Two queries on calculating AS external routes

Paresh Khatri wrote:

>Thanks Acee,
>
>Looking back at my second query, I realise that I wasn't quite clear on what I was getting at (my apologies).  It should be phrased as such:
>
>2)
>Looking at step (6) now.  If we have two, and only two, paths to a
>destination N, with the following characteristics: 
> - same route-type (say, Type 2 external) 
> - same type-2 metric
> - originated by two different ASBRs and the ASBRs are in different non-backbone areas.
> - the intra-area distance to the ASBR is the same for both paths (but of course, through a
>   different area in each case)
>Will both paths be installed in the routing table ?  If so, would that not
>contradict section 16.8, which states that all equal-cost paths for a route
>should be associated with the same area ?
>
>Would 16.4 (3) apply in this case or is it only applicable when you have multiple paths to the *same* ASBR ?
>  
>
Hi Paresh,

Although not explicitly stated, the intent of the RFC is to have a 
single exit point
from the OSPF routing domain for the AS external route. This was 
clarified in the
latest NSSA RFC with the LSA with the highest router ID given preference 
- see
section 2.5 of RFC 3101.

Hope this helps,
Acee

>Thanks again,
>Paresh.
>
>  
>
>
>-----Original Message-----
>From: Mailing List [mailto:[email-masked]]On Behalf Of Acee
>Lindem
>Sent: Tuesday, 28 June 2005 12:18 PM
>To: [email-masked]
>Subject: Re: Two queries on calculating AS external routes
>
>
>Hi Paresh,
>See inline.
>
>Paresh Khatri wrote:
>
>  
>
>>Hi all,
>>
>>I've got a couple of queries on Section 16.4 of RFC2328 that I hope someone
>>can help me with.
>>
>>1)
>>When determining that preferred routing table entry for the ASBR in step
>>(4), what happens if we end up with two equal-cost intra-area routes (for
>>the same area) to the ASBR (this is after all the pruning from 16.4.1 etc) ?
>>Will both routes be installed in the routing table ?
>> 
>>
>>    
>>
>Yes. Both paths should both be installed.
>
>  
>
>>2)
>>
>>Looking at step (6) now.  If we have two, and only two, paths to a
>>destination N, with the following characteristics: 
>>- same route-type (say, Type 2 external) 
>>- same type-2 metric
>>- both are intra-area routes but for different non-backbone areas ( so we
>>still end up with 2 paths after 16.4.1)
>>- the intra-area distance to the ASBR is the same for both paths
>>Will both paths be installed in the routing table ?  If so, would that not
>>contradict section 16.8, which states that all equal-cost paths for a route
>>should be associated with the same area ?
>> 
>>
>>    
>>
>For equal cost paths to an ASBR, the path through the area with the 
>highest ID should be
>chosen (refer to 16.4 (3)).
>
>Hope this helps,
>Acee
>
>  
>
>>All responses appreciated.
>>
>>Cheers,
>>Paresh Khatri 
>>
>> 
>>
>>    
>>
>
>
>
>
>
>This communication, including any attachments, is confidential. If 
> you are not the intended recipient, you should not read it - please 
> contact me immediately, destroy it, and do not copy or use any part of 
> this communication or disclose anything about it.
>
>  
>

This communication, including any attachments, is confidential. If 
 you are not the intended recipient, you should not read it - please 
 contact me immediately, destroy it, and do not copy or use any part of 
 this communication or disclose anything about it.

This communication, including any attachments, is confidential. If 
 you are not the intended recipient, you should not read it - please 
 contact me immediately, destroy it, and do not copy or use any part of 
 this communication or disclose anything about it.

This communication, including any attachments, is confidential. If 
 you are not the intended recipient, you should not read it - please 
 contact me immediately, destroy it, and do not copy or use any part of 
 this communication or disclose anything about it.

---

From: Paresh Khatri <[email-masked]>
Date: Mon, 11 Jul 2005 09:46:49 +1000

Thanks for all your replies, guys.

Regards,
Paresh.

-----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Acee
Lindem
Sent: Sunday, 10 July 2005 03:16 AM
To: [email-masked]
Subject: Re: Two queries on calculating AS external routes

Pat Murphy - (650)329-4044 wrote:

>Paresh,
>
>  
>
>>In my case below, what if the two LSAs are not quite
>>functoinally equivalent i.e what if the LSAs have the same
>>destination, same cost etc but have different non-zero
>>forwarding addresses ? What happens then ?  Do the same
>>tie-breaker rules apply or will it be implementation-dependent ?
>>    
>>
>
>The tie breaker rules are not applied. Here the installation 
>decision process is the same regardless of whether it is 
>comparing two Type 5 LSAs, or a Type 5 and a Type 7 LSA, or two 
>Type 7 LSAs. Whether or not both are installed depends on the 
>pruning done in step (c) as defined in RFC 2328 Section 16.4.1.
>  
>
Conceivably, you still could end up with LSAs with differing forwarding 
addresses of equal
cost and equivalent path preference for the prefix. I don't believe this 
case is covered. However,
since the forwarding address costs are equal, I don't think there should 
be any loops.

>Pat